import { $get, $post } from "@/plugins/axios";

// user-manage
export const userListPage = datas => {
  return $get("/api/print/basic/user/list", datas);
};
export const userDetail = id => {
  return $get("/api/print/basic/sys/userQuery", { id });
};
export const updateUser = datas => {
  return $post("/api/print/basic/user/update", datas);
};
export const ableUser = datas => {
  return $post("/api/print/basic/user/enable", datas);
};
export const updatePwd = datas => {
  return $post("/api/print/basic/user/updatePwd", datas);
};
export const courseList = datas => {
  return $get("/api/print/basic/sys/courseList", datas);
};

// rule-manage
export const cardRuleDetail = schoolId => {
  return $get("/api/print/basic/cardRule/selectBySchoolId", { schoolId });
};
export const saveCardRule = datas => {
  return $post("/api/print/basic/cardRule/add", datas);
};
export const warningRuleDetail = schoolId => {
  return $get("/api/print/basic/warnRule/listBySchoolId", { schoolId });
};
export const saveWarningRule = datas => {
  return $post("/api/print/basic/warnRule/add", datas);
};
export const importExtendColums = datas => {
  return $post("/api/print/basic/cardRule/impExtendColums", datas);
};

// course-manage
export const courseListPage = datas => {
  return $get("/api/print/basic/course/list", datas);
};
export const deleteCourse = courseId => {
  return $get("/api/print/basic/course/delete", { courseId });
};
export const updateCourse = datas => {
  if (datas.courseId) {
    return $post("/api/print/basic/course/update", datas);
  } else {
    return $post("/api/print/basic/course/add", datas);
  }
};

// common
export const uploadFile = datas => {
  return $post("/api/print/basic/sys/saveAttachment", datas);
};

// system
export const roleList = datas => {
  return $get("/api/print/basic/sys/roleList", datas);
};
